LLTSV(1)

NAME
lltsv - List specified keys of LTSV (Labeled Tab Separated Values)

SYNOPSIS

lltsv [global options] command [command options] [arguments...]

lltsv [--key value] [-k value] [--no-key] [-K] [--ignore-key value] [-i value] [--filter value] [-f value] [--expr value] [-e value] [--help] [-h] [--version] [-v]

DESCRIPTION
lltsv is a command line tool to list specified keys of LTSV (Labeled Tab Separated Values) text with colorized output to a terminal. It supports to filter with some comparing operators (arithmetic expression or regular expression)

OPTIONS

--key value
    keys to output (multiple keys separated by ,)

--no-key, -K
    output without keys (and without color)

--ignore-key value, -i value
    ignored keys to output (multiple keys separated by ,)

--filter value, -f value
    filter expression to output

--expr value, -e value
    evaluate value by expression to output

--help, -h
    show help

--version, -v
    print the version

EXAMPLES

Example1:
    $ echo "foo:aaa\tbar:bbb" | lltsv -k foo,bar

    foo:aaa   bar:bbb

    The output is colorized as default when you outputs to a terminal. The coloring is disabled if you pipe or redirect outputs.

Example2:
    $ echo "foo:aaa\tbar:bbb" | lltsv -k foo,bar -K

    aaa       bbb

    Eliminate labels with "-K" option.

Example3:
    $ lltsv -k foo,bar -K file*.log

    Specify input files as arguments.

Example4:
    $ lltsv -k resptime,status,uri -f 'resptime > 6' access_log

    $ lltsv -k resptime,status,uri -f 'resptime > 6' -f 'uri =~ ^/foo' access_log

    Filter output with "-f" option. Available comparing operators are:

    •   >= > == < <= (arithmetic (float64))

    •   == ==* != !=* (string comparison (string))

    •   =~ !~ =~* !~* (regular expression (string))

    The comparing operators terminated by * behave in case-insensitive. You can specify multiple -f options (AND condition).

Example5
    $ lltsv -k resptime,upstream_resptime,diff -f 'diff = resptime - upstream_resptime' access_log

    $ lltsv -k resptime,upstream_resptime,diff_ms -e 'diff_ms = (resptime - upstream_resptime) * 1000' access_log

    Evaluate value with "-e" option. Available operators are: + - * / (arithmetic (float64))

AUTHOR
sonots <sonots@gmail.com>

SEE ALSO
https://github.com/sonots/lltsv